#### PyKDE - Python Bindings for KDE

# class KRES.ConfigDialog |
Table of contents
Modules
kresources Classes
All Classes

Module | kresources
Class | KRES.ConfigDialog
Inherits | KDialogBase

### methods

- ConfigDialog (parent, resourceFamily, resource, name = 0)

  returns a ConfigDialog instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |
  resourceFamily | QString |
  resource | KRES.Resource |
  name | char | 0

- accept ()

  returns nothing
  In versions KDE 3.2.0 and above only

- setInEditMode (value)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  value | bool |

- setReadOnly (value)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  value | bool |

- slotNameChanged (text)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  text | QString |